
QGIS Application - Bug report #839

Crash when moving a vertex

2007-11-27 01:49 AM - Gavin Macaulay -

Status: Closed

Priority: Low

Assignee: nobody -

Category: Digitising

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 10898

Description

The following steps cause qgis to crash:

    -  Load a linestring layer (from [[PostgreSQL]] in my case)

    -  Enable editing on the layer

    -  Click on the 'move vertex' tool

    -  Click on the map, well away from the linestring, hold down the left mouse button and move the mouse

    -  Qgis will crash

The backtrace starts with:

#0  0xb711fab9 in [[QgsGeometryVertexIndex]]::back ()

   from /home/gavin/local/lib/libqgis_core.so

#3905  0x0817ca0c in [[QgsMapToolVertexEdit]]::canvasMoveEvent ()

#3906  0xb703fb72 in [[QgsMapCanvas]]::mouseMoveEvent ()

   from /home/gavin/local/lib/libqgis_gui.so

#3907  0xb78734e6 in QWidget::event (this=0x8469388, event=0xbfda7444)

    at kernel/qwidget.cpp:5703

This is with svn r7668 with the dialog box warning about the snap tolerance disabled. I think that prior to being able to disable the dialog

box, a click down and move without selecting a vertex was not possible.

Gavin

Associated revisions

Revision a1286f4e - 2007-11-29 01:12 AM - Jürgen Fischer

- fixes #839

- (unused) QgsGeometryVertexIndex::empty() added

- debug output now using QgsDebugMsg and indentation updates

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@7678 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision 708d2902 - 2007-11-29 01:12 AM - Jürgen Fischer

- fixes #839

- (unused) QgsGeometryVertexIndex::empty() added
- debug output now using QgsDebugMsg and indentation updates

git-svn-id: http://svn.osgeo.org/qgis/trunk@7678 c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2007-11-28 04:12 PM - Jürgen Fischer

- Resolution set to fixed

- Status changed from Open to Closed

fixed in commit:708d2902 (SVN r7679)

#2 - 2009-08-22 12:52 AM - Anonymous

Milestone Version 0.9.1 deleted
